    
%
% directional deriv. of re^2 int. energy
% (r = |r|\hat{r})
%

function [en] = get_d_dir_re2_int_energy(r_norm, r_hat, A2, E0, sigma_c, ...
    a1, b1, c1, ea1, eb1, ec1, a2, b2, c2, ea2, eb2, ec2, ortho_mode)

eps = 1e-5;

r = (r_norm+eps).*r_hat;
en1 = get_re2_int_energy(A2, r, E0, sigma_c, ...
    a1, b1, c1, ea1, eb1, ec1, a2, b2, c2, ea2, eb2, ec2, ortho_mode);

r = (r_norm-eps).*r_hat;
en2 = get_re2_int_energy(A2, r, E0, sigma_c, ...
    a1, b1, c1, ea1, eb1, ec1, a2, b2, c2, ea2, eb2, ec2, ortho_mode);

en = (en1-en2)/(2*eps);