
%
% gets self VdW interaction energy of a given molecule 
% from TINKER
%
% .xyz and TINKER .key file must be provided
%
% todo:
% --
%
function [energy] = get_tinker_self_energy(xyz_path, key_path, tinker_analyzer_path)

vdw_keyword = 'Van der Waals';

% call TINKER
cmd = [tinker_analyzer_path ' ' xyz_path ' E -k ' key_path];
[flag, out] = system(cmd);

if flag==0
    % look for the Van der Waals term in out
    idx = findstr(vdw_keyword, out);
    substr = out(idx+size(vdw_keyword,2):end);
    res = sscanf(substr, '%f');
    energy = res(1);
else
    disp('get_tinker_self_energy: error!');
end;
