
%
% loads mm3 VdW params from a parameter file
%

function [Nvdw_single, vdw_single, Nvdw_pair, vdw_pair] = ...
    get_vdw_param(vdw_param_file);

%vdw_param_file = 'd:\codes\matlab\re2\ff\mm3vdw.prm';

Nvdw_single = 0;
Nvdw_pair = 0;

vdw_single = zeros(1, 3);
vdw_pair = zeros(1, 4);

fid = fopen(vdw_param_file);
fline = '';

while ischar(fline)
    
    fline = fgetl(fid);
    [ptype, remstr] = strtok(fline);

    if ~ischar(ptype), continue;, end;
    
    if strcmp(ptype,'vdw')
        Nvdw_single = Nvdw_single + 1;
        [atm_class, remstr] = strtok(remstr);
        vdw_single(Nvdw_single, 1) = str2num(atm_class);
        [atm_rad, remstr] = strtok(remstr);
        vdw_single(Nvdw_single, 2) = str2num(atm_rad);
        [atm_eps, remstr] = strtok(remstr);
        vdw_single(Nvdw_single, 3) = str2num(atm_eps);
    elseif strcmp(ptype,'vdwpr')
        Nvdw_pair = Nvdw_pair + 1;
        [atm_class1, remstr] = strtok(remstr);
        vdw_pair(Nvdw_pair, 1) = str2num(atm_class1);
        [atm_class2, remstr] = strtok(remstr);
        vdw_pair(Nvdw_pair, 2) = str2num(atm_class2);
        [atm_rad, remstr] = strtok(remstr);
        vdw_pair(Nvdw_pair, 3) = str2num(atm_rad);
        [atm_eps, remstr] = strtok(remstr);
        vdw_pair(Nvdw_pair, 4) = str2num(atm_eps);
    end;
        
end;

fclose(fid);
