
%
% plots GB ortho modes against MM3's
%

global Nsamples
global A2
global r2
global tinker_energy
global weight
global mode_index
global x

%figure(3)

step = 0.1;
max_en = 5;

[A12, GBsig, a1, b1, c1, a2, b2, c2, ea1, eb1, ec1, ea2, eb2, ec2] = ...
    x_to_vars(x);

orig_well_specs = ortho_well_analyser;

for idx=1:18
    
    subplot(6, 3, idx);
        
    lower_idx = mode_index(idx, 1);
    upper_idx = mode_index(idx, 2);
    num = upper_idx-lower_idx+1;
    r_norm = zeros(num, 1);
    cA2 = zeros(3, 3);
    cr2 = zeros(3, 1);

    for iter=1:num, r_norm(iter) = norm(r2(iter-1+lower_idx,:));, end;

    % tinker's
    plot(r_norm, tinker_energy(lower_idx:upper_idx));
    hold on
    
    % re^2
    
    cA2(:,:) = A2(lower_idx,:,:);
    r_hat = r2(lower_idx,:)'./norm(r2(lower_idx,:));
    
    max_r = max(r_norm);
    curr_r = max_r;
    en = -10;
    
    clear re2_e;
    clear re2_r;
    ctr = 1;

    while en<max_en
        cr2 = curr_r.*r_hat;
        en = get_gb_int_energy(cA2, cr2, A12, GBsig, a1, b1, c1, ea1, eb1, ec1, ...
            a2, b2, c2, ea2, eb2, ec2, idx);
        re2_e(ctr) = en;
        re2_r(ctr) = curr_r;
        ctr = ctr+1;
        curr_r = curr_r - step;
    end;
    
    plot(re2_r, re2_e, 'black');

    min_en = min([orig_well_specs(idx,2); min(re2_e)]);
    ylim([min_en-1 1]);
    xlim([orig_well_specs(idx,4)-0.5*orig_well_specs(idx,3) orig_well_specs(idx,1)+...
            2*orig_well_specs(idx,3)]);

end;