
%
% saves to an xyz file
%

function [] = save_xyz(fpath, Natoms, name, types, xyz, atomclass, n12)

fid = fopen(fpath, 'w');

% Natoms, name
fprintf(fid, '%5d   %s\n', Natoms, name);

for num=1:Natoms
    
    % num, type, xyz
    fprintf(fid, '%5d %3s %13.8f %13.8f %13.8f', ...
        num, char(types(num,:)), xyz(num,1), xyz(num,2), xyz(num,3));
    
    % atomclass
    fprintf(fid, '%5d', atomclass(num));
    
    % connectivity
    for k=1:5
        if ~(n12(num,k)==-1)
            fprintf(fid, '%6d', n12(num, k));    
        end;
    end;
    
    fprintf(fid, '\n');
    
end;

fclose(fid);
