
%
% a cost function based on well specs
%

function [err] = well_re2_tinker_err(x, ptup, orig_well_specs);

err = 0;
ptup.x = x; % sync ptup.x with the current x

gb_well_specs = ortho_re2_well_analyser(ptup);

min_r = min(orig_well_specs(:,1));
min_U = min(abs(orig_well_specs(:,2)));
max_U = max(abs(orig_well_specs(:,2)));
mean_U = mean(abs(orig_well_specs(:,2)));
min_w = min(orig_well_specs(:,3));
max_w = max(orig_well_specs(:,3));
mean_ddU = mean(orig_well_specs(:,5));

beta = 0.5/max_U;
rad_coeff = 30;
U_coeff = 10;
w_coeff = 25;
c_coeff = 10;
ddU_coeff = 0;

ww = exp(-beta.*orig_well_specs(:,2));
sww = sum(ww);

rad_err = 0;
for k=1:18
    rad_err = rad_err + ww(k)*(gb_well_specs(k,1)-orig_well_specs(k,1))^2;
end;

U_err = 0;
for k=1:18
    U_err = U_err + ww(k)*(gb_well_specs(k,2)-orig_well_specs(k,2))^2;
end;

w_err = 0;
for k=1:18
    w_err = w_err + ww(k)*(gb_well_specs(k,3)-orig_well_specs(k,3))^2;
end;

c_err = 0;
for k=1:18
    c_err = c_err + ww(k)*(gb_well_specs(k,4)-orig_well_specs(k,4))^2;
end;

ddU_err = 0;
for k=1:18
    ddU_err = ddU_err + ww(k)*(gb_well_specs(k,5)-orig_well_specs(k,5))^2;
end;

norm_coeff = 3*sww*sqrt(rad_coeff^2 + U_coeff^2 + w_coeff^2 + c_coeff^2 + ddU_coeff^2);

err = ( ...
    rad_coeff*rad_err/max_w^2 + ...
    U_coeff*U_err/mean_U^2 + ...
    w_coeff*w_err/min_w^2 + ...
    c_coeff*c_err/max_w^2 + ...
    ddU_coeff*ddU_err/mean_ddU^2 ...
    )/norm_coeff;
